#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	X509
Summary:	Crypt::X509 - Parse a X.509 certificate
Name:		perl-Crypt-X509
Version:	0.54
Release:	1
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f9a82fcc257ac2651c50adeb5253e682
URL:		http://search.cpan.org/dist/Crypt-X509/
BuildRequires:	perl-Convert-ASN1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::X509 parses X.509 certificates. Methods are provided for
accessing most certificate elements.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Crypt/X509.pm
%{_mandir}/man3/Crypt::*.3pm*
%changelog
* Mon Sep 12 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-X509.git;a=log;h=master

* Mon Sep 12 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> 6544d04
- Up to 0.54

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 4d5e4c5
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 58b7cb7
- up to 0.52

* Thu Oct 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> be5fe1c
- initial

